#!/bin/sh

###############################################################
#   This script should be hooked when invoking SYNOSchedTaskRemove()
#   Usable environment variable:
#       
###############################################################

#Include common scripts
BIN_GLACIER_SCHEDULE_REMOVE=/var/packages/GlacierBackup/target/bin/synoglaciertool
. ${SYNOBACKUP_INC_SCRP}

TASKSCHEDULER_PKG_MODVER="1.0"
SYNOBACKUP_PKG_NAME="GlacierBackup"
SYNOBACKUP_PKG_VERSION="1.0"
SYNOBACKUP_PKG_VENDOR="Synology Inc."


#At begining, acquire package settings
case $1 in
    --sdk-mod-ver)
	#Print SDK support version
        echo ${TASKSCHEDULER_PKG_MODVER};
    ;;
    --name)
        #Print package name
        echo ${SYNOBACKUP_PKG_NAME};
    ;;
    --pkg-ver)
        #Print package version
        echo ${SYNOBACKUP_PKG_VERSION};
    ;;
    --vendor)
        #Print package vendor
        echo ${SYNOBACKUP_PKG_VENDOR};
    ;;
    --pre)
        #Actions before share set
        RESULT_END=`${BIN_GLACIER_SCHEDULE_REMOVE} --schedule_delete "${ORG_TASK_ID}"`
    ;;
    --post)
        #Actions after share set
    ;;
    *)
        echo "Usage: $0 --sdk_mod_ver|--name|--pkg_ver|--vendor|--pre|--post"
    ;;
esac

